

# norootforbuild

Name:		kino
Version:	1.3.4
Release:	3.29

Summary:	A non-linear DV editor for GNU/Linux
License:	GPL
Group:		Productivity/Multimedia/Other
URL:		http://www.kinodv.org/

Source0:	%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	gcc-c++ gtk2-devel intltool libavc1394-devel libdv-devel
BuildRequires:	libglade2-devel libiec61883-devel libquicktime-devel
BuildRequires:	libraw1394-devel libsamplerate-devel libxml2-devel pkg-config
BuildRequires:	update-desktop-files xorg-x11-devel


%description
Kino is a non-linear DV editor for GNU/Linux. It features excellent
integration with IEEE 1394 for capture, VTR control, and recording back
to the camera. It captures video to disk in AVI format in both type-1
DV and type-2 DV (separate audio stream) encodings.

%package devel
Summary:	Development files for kino
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}

%description devel
Those development headers are required if you plan on coding against kino.





%prep
%setup -q


%build
%__sed -i -e "s|MimeType=video/dv;application/smil|MimeType=video/dv;application/smil;|g" Kino.desktop
%configure \
	--enable-quicktime \
	--enable-local-ffmpeg

%__make %{?jobs:-j%jobs}


%install
%makeinstall
# create symlink manually:
%__rm %{buildroot}/%{_bindir}/kino2raw
cd %{buildroot}/%{_bindir}
%{__ln_s} kino kino2raw
cd -

%__rm -rf %{buildroot}/%{_datadir}/locale/no

%suse_update_desktop_file Kino AudioVideo AudioVideoEditing


%clean
%__rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS ChangeLog COPYING NEWS README* TODO
%config %{_sysconfdir}/udev/rules.d/kino.rules
%{_bindir}/kino
%{_bindir}/kino2raw
%{_bindir}/ffmpeg-kino
%dir %{_libdir}/kino-gtk2
%{_libdir}/kino-gtk2/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/kino.xml
%{_datadir}/kino
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/kino
%{_includedir}/kino/*


%changelog
* Sun May 30 2010 Detlef Reichelt <detlef@links2linux.de> - 1.3.4
- new upstream version <1.3.4>

* Sun Dec 28 2008 Detlef Reichelt <detlef@links2linux.de> <1.3.2>-<0.pm.1>
- new upstream version <1.3.2>
  * scripts/export/ffmpeg_utils.sh: bugfix (1959727) processor count for
    ffmpeg threads.
  * configure.in: bugfix building against local ffmpeg.
  * configure.in, preferences_dialog.cc, page_capture.cc, page_timeline.cc,
     page_export.cc: build fixes from ALT Linux.
* Wed Aug 13 2008 Quentin Denis <quentin@links2linux.de>
- update to upstream 1.3.1
- added intltool to BuildRequires, available since 10.2
- removed BuildRequires for <=10.1
* Mon Feb 25 2008 Quentin Denis <quentin@links2linux.de>
- update to upstream 1.3.0
- enabled quicktime
- removed ffmpeg man from Makefile.am
* Sat Dec 08 2007 Quentin Denis <quentin@links2linux.de>
- update to upstream 1.2.0
- removed ffmpeg man
* Wed Aug 08 2007 Quentin Denis <quentin@links2linux.de> - 1.pm.1
- linked statically against ffmpeg
- included man-patch, thanks to Gerhard Stengel
* Wed Aug 08 2007 Quentin Denis <quentin@links2linux.de>
- update to upstream 1.1.1
* Sat Aug 04 2007 Quentin Denis <quentin@links2linux.de>
- update to upstream 1.1.0
* Mon Mar 12 2007 Quentin Denis <quentin@links2linux.de>
- update to final version 1.0.0, "Stick a fork in it"
* Fri Jan 05 2007 Detlef Reichelt <detlef@links2linux.de> <0.9.4>-<0.pm.1>
- new upstream version
* Tue Oct 31 2006 Quentin Denis <quentin@links2linux.de>
- update to 0.9.3
- added update-desktop-files to BuildRequires
* Sat Oct 07 2006 Quentin Denis <quentin@links2linux.de>
- added patch fixing the problesm with latest ffmpeg versions
* Tue Sep 12 2006 Quentin Denis <quentin@links2linux.de>
- update to 0.9.2
* Wed Jun 07 2006 Quentin Denis <quentin@links2linux.de>
- update to 0.9.0
* Tue Jan 31 2006 Quentin Denis <quentin@links2linux.de>
- added --with-avcodec
- patched the makefiles for 64 bit
* Sat Nov 26 2005 Quentin Denis <quentin@links2linux.de>
- update to version 0.8.0
* Sat Jun 11 2005 Quentin Denis <quentin@links2linux.de>
- updated to version 0.7.6
* Sun Oct 31 2004  <rainer@links2linux.de> - <0.7.5>-<0.pm.1>
- strip binary
* Wed Oct 13 2004 Rainer Lay <rainer@links2linux.de> <0.7.4>-<0.pm.1>
- added patch fixing naming vor svds provided by Roland Klose
* Tue Aug 10 2004 Rainer Lay <rainer@links2linux.de> <0.7.3>-<0.pm.0>
- added includes
- added png
* Mon May 24 2004 Rainer Lay <rainer@links2linux.de> <0.7.1>
- packman release
- spec file cleanup
